com.rs.xbrl.instructions.genericmessages

## Enum Message.MessageContentType

- java.lang.Object
- - java.lang.Enum<Message.MessageContentType>
  - - com.rs.xbrl.instructions.genericmessages.Message.MessageContentType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Message.MessageContentType>
  Enclosing class:
    Message

      public static enum Message.MessageContentType
      extends java.lang.Enum<Message.MessageContentType>

  The Enum MessageContentType.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Complex` The Complex.
    `Simple` The Simple.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Message.MessageContentType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Message.MessageContentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Simple

          public static final Message.MessageContentType Simple

      The Simple.

    - #### Complex

          public static final Message.MessageContentType Complex

      The Complex.

  - ### Method Detail

    - #### values

          public static Message.MessageContentType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Message.MessageContentType c : Message.MessageContentType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Message.MessageContentType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null